#| -*-Scheme-*-

Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
    2016, 2017, 2018, 2019 Matthew Birkholz

This file is part of a planetarium plugin for MIT/GNU Scheme Pucked.

This plugin is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This plugin is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this plugin; if not, write to the Free Software Foundation,
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

|#

;;;; Load the Planetarium plugin.

;;; Check for a GL option and load the 3D parts of the Planetarium
;;; when it is available.  (This presumes the 3D portion was
;;; installed.)

(with-working-directory-pathname (directory-pathname (current-load-pathname))
  (lambda ()
    (parameterize ((param:suppress-loading-message? #t))
      (load-package-set "mit")
      (load "mit-link")
      (if (not (warn-errors? (lambda () (load-option 'gl))))
	  (load-package-set "mit-3d")))))

(add-subsystem-identification! "Planetarium" '(0 11))